Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154982 - redhat-config-netboot creates a broken initrd for diskless clients
Summary: redhat-config-netboot creates a broken initrd for diskless clients
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-04-15 10:54 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-486
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 19:37:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:486 qe-ready SHIPPED_LIVE redhat-config-netboot bug fix update 2005-09-28 04:00:00 UTC

Description Bastien Nocera 2005-04-15 10:54:03 UTC
+++ This bug was initially created as a clone of Bug #149000 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107
Firefox/1.0

Description of problem:
The initrd created for diskless clients is completely broken.  Library's are
missing from /lib.  The nfs module doesn't load without hacking /disklessrc. 
After fixing all of this in the initrd, the kernel still panics ( trying to kill
init ) when disklessrc exits.  I haven't figured out how to get around that yet.

See bug #148022 for FC3 for a more complete description since
system-config-netboot is obviously broken in FC3 as well.

Version-Release number of selected component (if applicable):
system-config-netboot-0.1.8-1

How reproducible:
Always

Steps to Reproduce:
1.Run system-config-netboot

Actual Results:  Broken, unbootable initrd.

Expected Results:  The system should have booted using NFS.

Additional info: the problem also occurs with redhat-config-netboot-0.1.5-1,
downgrading to redhat-config-netboot-0.1.1-19 works around the problem.

Comment 2 Jason Vas Dias 2005-05-27 20:28:47 UTC
This bug is now fixed with system-config-netboot-0.1.16-1, which
should be in RHEL-3-U6 and meanwhile can be downloaded from:
 http://people.redhat.com/~jvdias/system-config-netboot 
Please try it out and let me know of any issues - thanks.


Comment 4 Red Hat Bugzilla 2005-09-28 19:37:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-486.html



Note You need to log in before you can comment on or make changes to this bug.